org.apache.ivy.core.deliver

## Interface PublishingDependencyRevisionResolver

All Known Implementing Classes:
  DefaultPublishingDRResolver

    public interface PublishingDependencyRevisionResolver

### Method Summary

Methods
`java.lang.String` `resolve(ModuleDescriptor published, java.lang.String publishedStatus, ModuleRevisionId depMrid, java.lang.String status)` Returns the revision of the dependency for the publishing of the 'published' module in 'publishedStatus' status.

### Method Detail

#### resolve

    java.lang.String resolve(ModuleDescriptor published,
                           java.lang.String publishedStatus,
                           ModuleRevisionId depMrid,
                           java.lang.String status)

Returns the revision of the dependency for the publishing of the 'published' module in 'publishedStatus' status.

Parameters:
  `published` -
  `publishedStatus` -
  `depMrid` -
  `status` -
Returns:
  the revision of the dependency